Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_EC_SupplierControl_Adapter Class Reference

Forwards timeout events to the Reactive SupplierControl. More...

`#include <EC_Reactive_SupplierControl.h>`

Inheritance diagram for TAO_EC_SupplierControl_Adapter:

[legend]
Collaboration diagram for TAO_EC_SupplierControl_Adapter:

[legend]
List of all members.

## Public Methods
| TAO_EC_SupplierControl_Adapter (TAO_EC_Reactive_SupplierControl *adaptee)
| Constructor.
virtual int | handle_timeout (const ACE_Time_Value &tv, const void *arg=0)
## Private Attributes
TAO_EC_Reactive_SupplierControl * | adaptee_
| The adapted object.

## Detailed Description

Forwards timeout events to the Reactive SupplierControl.

The Reactive SupplierControl strategy uses the reactor to periodically wakeup and verify the state of the suppliers registered with the Event Channel.

Todo:
  Marina Spivak made the following observation: these classes and implementation seem nearly identical to those in EC_Reactive_ConsumerControl.* The only differences are using consumer_admin collection vs supplier_admin, and calling disconnect_push_consumer vs disconnect_push_supplier ... Seems like it may be a good idea to change some naming and templatize...

  The same templates should be used for the Notification and COS Event services.

## Constructor & Destructor Documentation

TAO_EC_SupplierControl_Adapter::TAO_EC_SupplierControl_Adapter | ( | TAO_EC_Reactive_SupplierControl * | adaptee | ) |

| Constructor.

## Member Function Documentation

int TAO_EC_SupplierControl_Adapter::handle_timeout | ( | const ACE_Time_Value & | tv,
|  | const void * | arg = 0
| ) | `[virtual]`

| Reimplemented from ACE_Event_Handler.

## Member Data Documentation

TAO_EC_Reactive_SupplierControl* TAO_EC_SupplierControl_Adapter::adaptee_`[private]`

| The adapted object.

The documentation for this class was generated from the following files:

- EC_Reactive_SupplierControl.h
- EC_Reactive_SupplierControl.cpp